uk.gov.hmrc.play.bootstrap.frontend.filters.crypto

# SessionCookieCryptoFilter

###
Related Doc: package crypto

#### trait SessionCookieCryptoFilter extends Filter with CryptoImplicits

Linear Supertypes
CryptoImplicits, Filter, EssentialFilter, AnyRef, Any
Known Subclasses
DefaultSessionCookieCryptoFilter
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. SessionCookieCryptoFilter
2. CryptoImplicits
3. Filter
4. EssentialFilter
5. AnyRef
6. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Abstract Value Members

1. #### abstract def decrypter: Decrypter

   Attributes
     protected

2. #### implicit abstract def ec: ExecutionContext

   Attributes
     protected

3. #### abstract def encrypter: Encrypter

   Attributes
     protected

4. #### implicit abstract def mat: Materializer

   Definition Classes
     Filter

5. #### abstract def sessionBaker: SessionCookieBaker

   Attributes
     protected

### Concrete Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### def apply(next: (RequestHeader) ⇒ Future[Result])(rh: RequestHeader): Future[Result]

   Definition Classes
     SessionCookieCryptoFilter → Filter

5. #### def apply(next: EssentialAction): EssentialAction

   Definition Classes
     Filter → EssentialFilter

6. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

7. #### def asJava: EssentialFilter

   Definition Classes
     EssentialFilter

8. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

9. #### implicit def cryptToString(c: Crypted): String

   Attributes
     protected
   Definition Classes
     CryptoImplicits

10. #### val decodeCookieHeader: (String) ⇒ Seq[Cookie]

    Attributes
      protected

11. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

12. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

13. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

14. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

15. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

16. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

17. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

18. #### final def notify(): Unit

    Definition Classes
      AnyRef

19. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

20. #### implicit def plainToString(p: PlainText): String

    Attributes
      protected
    Definition Classes
      CryptoImplicits

21. #### implicit def strToCrypt(s: String): Crypted

    Attributes
      protected
    Definition Classes
      CryptoImplicits

22. #### implicit def strToPlain(s: String): PlainContent

    Attributes
      protected
    Definition Classes
      CryptoImplicits

23. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

24. #### def toString(): String

    Definition Classes
      AnyRef → Any

25. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

26. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

27. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from CryptoImplicits

### Inherited from Filter

### Inherited from EssentialFilter

### Inherited from AnyRef

### Inherited from Any

### Ungrouped